View Issue Details

IDProjectCategoryView StatusLast Update
0000368WackoWikidatabasepublic2011-05-31 21:24
Reporteradministrator Assigned Toadministrator  
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.3.rc 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000368: add new table user_setting
Descriptionmove user settings out of 'user' table in extra table 'user_setting'
TagsNo tags attached.

Relationships

child of 0000300 resolvedadministrator Normalize database 

Activities

administrator

2010-06-17 12:57

administrator   ~0000765

http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/stable/rev/ea471f25eaab
http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/stable/rev/65adec70aa43
http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/stable/rev/1139364523a6

administrator

2010-06-19 12:52

administrator  

wacko_users_settings.sql (1,793 bytes)   
pull + update

CREATE TABLE IF NOT EXISTS `wacko_users_settings` (
  `setting_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `theme` varchar(20)  DEFAULT NULL,
  `lang` varchar(2)  DEFAULT NULL,
  `bookmarks` text ,
  `motto` text ,
  `changes_count` int(10) unsigned DEFAULT NULL,
  `revisions_count` int(10) unsigned DEFAULT NULL,
  `dont_redirect` tinyint(1) unsigned DEFAULT NULL,
  `send_watchmail` tinyint(1) unsigned DEFAULT NULL,
  `show_files` tinyint(1) unsigned DEFAULT NULL,
  `show_comments` tinyint(1) unsigned DEFAULT NULL,
  `doubleclick_edit` tinyint(1) unsigned DEFAULT NULL,
  `show_spaces` tinyint(1) unsigned DEFAULT NULL,
  `typografica` tinyint(1) unsigned DEFAULT NULL,
  `allow_intercom` tinyint(1) unsigned DEFAULT NULL,
  `autocomplete` tinyint(1) unsigned DEFAULT NULL,
  `hide_lastsession` tinyint(1) unsigned DEFAULT NULL,
  `validate_ip` tinyint(1) unsigned DEFAULT NULL,
  `noid_pubs` tinyint(1) unsigned DEFAULT NULL,
  `timezone` varchar(32)  DEFAULT NULL,
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `idx_user_id` (`user_id`),
  KEY `idx_send_watchmail` (`send_watchmail`)
) ENGINE=MyISAM;

{{adminupdate}}

ALTER TABLE `wacko_users` DROP `motto` ,
DROP `revisions_count` ,
DROP `changes_count` ,
DROP `doubleclick_edit` ,
DROP `show_comments` ,
DROP `bookmarks` ,
DROP `lang` ,
DROP `show_spaces` ,
DROP `typografica` ,
DROP `more` ;

ALTER TABLE `wacko_users` ADD `login_count` INT( 10 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `session_expire` ,
ADD `lost_password_request_count` SMALLINT( 6 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `login_count` ,
ADD `failed_login_count` SMALLINT( 6 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `lost_password_request_count` 

UPDATE wacko_users_settings SET theme = 'default' WHERE theme =  ''
wacko_users_settings.sql (1,793 bytes)   

Issue History

Date Modified Username Field Change
2010-06-17 12:56 administrator New Issue
2010-06-17 12:56 administrator Status new => assigned
2010-06-17 12:56 administrator Assigned To => administrator
2010-06-17 12:57 administrator Note Added: 0000765
2010-06-17 12:57 administrator Status assigned => resolved
2010-06-17 12:57 administrator Resolution open => fixed
2010-06-17 12:57 administrator Fixed in Version => 5.0.beta
2010-06-17 12:58 administrator Relationship added child of 0000300
2010-06-17 13:03 administrator Summary add new table users_settings => add new table user_setting
2010-06-19 12:52 administrator File Added: wacko_users_settings.sql
2011-05-31 21:24 administrator Build => R5.0.beta